This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1303851 - SELinux is preventing abrt-hook-ccpp from 'getattr' accesses on the file /usr/libexec/packagekitd.
SELinux is preventing abrt-hook-ccpp from 'getattr' accesses on the file /usr...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
23
x86_64 Unspecified
medium Severity high
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:6f677fbe5e5e680a7ded72d9b2e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-02 04:00 EST by kdwkleung
Modified: 2016-03-07 19:33 EST (History)
7 users (show)

See Also:
Fixed In Version: selinux-policy-3.13.1-158.8.fc23 selinux-policy-3.13.1-158.9.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-05 01:22:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kdwkleung 2016-02-02 04:00:36 EST
Description of problem:
Today, I was typing in commands into terminal, suddenly, there was a popout saying that a thing called'getattr 'was accessing to my file /usr/libexec/packagekitd.
SELinux is preventing abrt-hook-ccpp from 'getattr' accesses on the file /usr/libexec/packagekitd.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that abrt-hook-ccpp should be allowed getattr access on the packagekitd file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep abrt-hook-ccpp /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:abrt_dump_oops_t:s0
Target Context                system_u:object_r:rpm_exec_t:s0
Target Objects                /usr/libexec/packagekitd [ file ]
Source                        abrt-hook-ccpp
Source Path                   abrt-hook-ccpp
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           PackageKit-1.0.10-1.fc23.x86_64
Policy RPM                    selinux-policy-3.13.1-152.fc23.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.2.3-300.fc23.x86_64 #1 SMP Mon
                              Oct 5 15:42:54 UTC 2015 x86_64 x86_64
Alert Count                   47
First Seen                    2016-01-31 14:59:22 HKT
Last Seen                     2016-02-02 16:46:36 HKT
Local ID                      07e9d61b-b821-4beb-b28d-5b4905f5dd7b

Raw Audit Messages
type=AVC msg=audit(1454402796.274:630): avc:  denied  { getattr } for  pid=3678 comm="abrt-hook-ccpp" path="/usr/libexec/packagekitd" dev="dm-0" ino=922683 scontext=system_u:system_r:abrt_dump_oops_t:s0 tcontext=system_u:object_r:rpm_exec_t:s0 tclass=file permissive=0


Hash: abrt-hook-ccpp,abrt_dump_oops_t,rpm_exec_t,file,getattr

Version-Release number of selected component:
selinux-policy-3.13.1-152.fc23.noarch

Additional info:
reporter:       libreport-2.6.3
hashmarkername: setroubleshoot
kernel:         4.2.3-300.fc23.x86_64
type:           libreport

Potential duplicate: bug 1276903
Comment 1 tunomarsan 2016-02-18 21:39:09 EST
Description of problem:
al momento de querer instalar software desde la aplicación software, me marca el error y tarda mucho tiempo en intentar instalar los programas


Additional info:
reporter:       libreport-2.6.3
hashmarkername: setroubleshoot
kernel:         4.2.3-300.fc23.x86_64
type:           libreport
Comment 3 Fedora Update System 2016-02-27 08:50:25 EST
selinux-policy-3.13.1-158.9.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ffbae3a870
Comment 4 Fedora Update System 2016-02-28 08:54:17 EST
selinux-policy-3.13.1-158.9.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ffbae3a870
Comment 5 Fedora Update System 2016-03-05 01:21:58 EST
selinux-policy-3.13.1-158.9.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 John Bielaski 2016-03-07 19:33:38 EST
Description of problem:
I opened the software program to see if there were any updates and error occurred.

Version-Release number of selected component:
selinux-policy-3.13.1-152.fc23.noarch

Additional info:
reporter:       libreport-2.6.3
hashmarkername: setroubleshoot
kernel:         4.2.3-300.fc23.x86_64
type:           libreport

Note You need to log in before you can comment on or make changes to this bug.